/***共通CSS***/

/* 追加 */
body {
  width: 100%;
  height: 100%;
  background: #353434;
}

.kiwi-maru-regular {
  font-family: "Kiwi Maru", serif;
  font-weight: 400;
  font-style: normal;
}

.zen-kurenaido-regular {
  font-family: "Zen Kurenaido", serif;
  font-weight: 400;
  font-style: normal;
}


HTML CSSResult Skip Results Iframe
EDIT ON
body {
  margin: 0;
  font-family: "Futura", Helvetica, sans-serif;
}

/* Navbar & Navmenu color */
:root {
  --background-navbar: rgba(55, 55, 55, 0.98);
}

.header {
  background: var(--background-navbar);
  position: fixed;
  width: 100%;
  height: 52px;
}

/* ハンバーガーメニュー */
.menu {
  list-style: none;
  position: absolute;
  width: 100%;
  height: auto;
  top: 0;
  margin-top: 52px;
  padding: 0 0 10px 0;
  clear: both;
  background: var(--background-navbar);
  transition: 0.3192s cubic-bezier(0.04, 0.04, 0.12, 0.96) 0.1008s;
  transform: scale(1, 0);
  transform-origin: top;
}

/* Hamburger menu button */
.menu-btn:checked ~ .menu {
  transform: scale(1, 1);
  transform-origin: top;
  transition: 0.3192s cubic-bezier(0.04, 0.04, 0.12, 0.96) 0.1008s;
}

/* Hamburger menbu text */
.menu a {
  text-decoration: none;
  font-weight: 500;
  letter-spacing: 2px;
  font-size: 16px;
  text-transform: capitalize;
  color: #ddd;
  opacity: 0;
  transition: 0.5s;
}

.menu li {
  border-top: 1px solid rgb(75, 75, 75);
  padding: 15px 0;
  margin: 0 54px;
  opacity: 0;
  transition: 0.5s;
}

.menu-btn:checked ~ .menu a,
.menu-btn:checked ~ .menu li {
  opacity: 1;
  transition: 0.3192s cubic-bezier(0.04, 0.04, 0.12, 0.96) 0.2s;
}

.menu-btn {
  display: none;
}

.menu-icon {
  display: inline-block;
  position: relative;
  cursor: pointer;
  padding: 24px 14px;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

.navicon {
  background: #ddd;
  display: block;
  height: 3px;
  width: 26px;
  position: relative;
  transition: 0.3192s cubic-bezier(0.04, 0.04, 0.12, 0.96) 0.1008s;
}

.navicon:before,
.navicon:after {
  content: "";
  display: block;
  height: 100%;
  width: 100%;
  position: absolute;
  background: #ddd;
  transition: 0.3192s cubic-bezier(0.04, 0.04, 0.12, 0.96) 0.1008s;
}

.navicon:before {
  top: 9px;
}

.navicon:after {
  bottom: 9px;
}

.navtext {  font-family: "Kiwi Maru", serif;
  font-weight: 200;
  font-style: normal;

}

/* Hamburger Menu Animation Start */
.menu-btn:checked ~ .menu-icon .navicon:before {
  transform: rotate(-45deg);
}

.menu-btn:checked ~ .menu-icon .navicon:after {
  transform: rotate(45deg);
}

.menu-btn:checked ~ .menu-icon:not(.steps) .navicon:before {
  top: 0;
}
.menu-btn:checked ~ .menu-icon:not(.steps) .navicon:after {
  bottom: 0;
}

.menu-btn:checked ~ .menu-icon .navicon {
  background: rgba(0, 0, 0, 0);
  transition: 0.2192s cubic-bezier(0.04, 0.04, 0.12, 0.96) 0.1008s;
}
/* Hamburger Menu Animation End */

/* Navbar Container */
.navtext-container {
  width: 100%;
  height: 52px;
  position: absolute;
  box-sizing: border-box;
  display: flex;
  justify-content: center;
  align-items: center;
}

/* Navbar Text */
.navtext {
  position: absolute;
  text-transform: uppercase;
  color: #ddd;
  letter-spacing: 4px;
  font-size: 20px;
}

h1 {
  font-size: 62px;
  font-family: "Kiwi Maru", serif;
  padding-top: 10%;
  padding-bottom: 10%;
  text-align: center;
  animation: fadeBounce 3s ease-in-out;
}

h3 {
  font-family: "Kiwi Maru", serif;
  font-size: 24px;
  font-weight: 50;
  font-style: normal;
  line-height: 30px;
  text-align: center;
  margin: 5% 0;
}

p {
  font-family: "Kiwi Maru", serif;
  font-weight: 50;
  font-style: normal;
  line-height: 30px;
  margin: 5% 0;
}

@media screen and (max-width: 414px) {
  h1 {
    font-size: 24px;
    font-weight: 10;
    font-family: "Kiwi Maru", serif;
    padding-top: 10%;
    padding-bottom: 10%;
    text-align: center;
    animation: fadeBounce 3s ease-in-out;
  }

  h3 {
    font-family: "Kiwi Maru", serif;
    font-size: 24px;
    font-weight: 50;
    font-style: normal;
    line-height: 30px;
    text-align: center;
    margin: 5% 0;
  }

  p {
    font-size: 14px;
    font-family: "Kiwi Maru", serif;
    font-weight: 20;
    font-style: normal;
    line-height: 30px;
    margin: 5% 0;
  }
}

/***firstView***/

.firstView {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  background-color: #353434;
  z-index: 3;
}

.firstView span {
  opacity: 0;
  display: inline-block;
  animation: fadeBounce 3s ease-out forwards;
}

.firstView span:nth-child(1) {
  animation-delay: 0s;
}

.firstView span:nth-child(2) {
  animation-delay: 0.1s;
}

.firstView span:nth-child(3) {
  animation-delay: 0.2s;
}

.firstView span:nth-child(4) {
  animation-delay: 0.3s;
}

.firstView span:nth-child(5) {
  animation-delay: 0.4s;
}

.firstView span:nth-child(6) {
  animation-delay: 0.5s;
}

.firstView span:nth-child(7) {
  animation-delay: 0.6s;
}

.firstView span:nth-child(8) {
  animation-delay: 0.7s;
}

.firstView span:nth-child(9) {
  animation-delay: 0.8s;
}

.firstView span:nth-child(10) {
  animation-delay: 0.9s;
}

.firstView span:nth-child(11) {
  animation-delay: 1s;
}

.firstView span:nth-child(12) {
  animation-delay: 1.1s;
}

.firstView span:nth-child(13) {
  animation-delay: 1.2s;
}

.firstView span:nth-child(14) {
  animation-delay: 1.3s;
}

.firstView span:nth-child(15) {
  animation-delay: 1.4s;
}

.logoTxt {
  color: white;
  font-size: 4rem;
}

@keyframes fadeBounce {
  0% {
    opacity: 0;
    transform: translateY(-50px);
  }

  50% {
    opacity: 1;
    transform: translateY(10px);
  }

  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

/***firstViewスマホ表示***/
@media screen and (max-width: 414px) {
  .logoTxt {
    color: white;
    font-size: 2rem;
  }

  .firstView {
    display: flex;
    justify-content: center;
    align-items: center;
    min-width: 300px;
    height: 100vh;
    background: liner-gradient(180deg, #353434 0%, #353434 50%, #353434 50%, #fff 100%);
    z-index: 3;
  }
}

/***firstContents***/
#firstContents {
  position: relative;
  width: 100%;
  height: auto;
  padding-top: 0;
  padding-bottom: 0;
  margin-bottom: 0;
  background: linear-gradient(to top, #fff 0%, #fff 50%, #353434 50%, #353434 100%);
  transform: translate(0, -0px);
}

.fcTxt h1 {
  font-size: 28px;
  font-family: "Kiwi Maru", serif;
  font-weight: 100;
  margin-top: -8%;
  margin-bottom: 0;
  text-align: center;
  animation: fadeIn 4s ease-out forwards;
}

@keyframes fadeIn {
  0% {
    opacity: 0;
    transform: translateY(0);
  }

  100% {
    opacity: 1;
    transform: translateY(10);
  }
}

.DownRight img {
  display: block;
  position: absolute;
  top: -20px;
  left: 0;
  right: 0;
  margin-right: auto;
  margin-left: auto;
  width: 240px;
  height: 300px;
  z-index: 1;
}

@keyframes sway {
  0%,
  100% {
    transform: rotate(0deg);
  }
  25% {
    transform: rotate(10deg);
  }
  50% {
    transform: rotate(0deg);
  }
  75% {
    transform: rotate(-10deg);
  }
}

.drImage {
  animation: sway 4s ease-in-out infinite alternate;
}
.DownRight {
  position: relative;
  background-color: #353434;
  width: 100%;
  height: 320px; /* 適宜調整 */
}
.dr-radius {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 320px;
  border-radius: 60%/100% 100% 0 0;
  background: linear-gradient(to bottom, white 50%, white 100%);
  z-index: 0;
}

.bigP {
  line-height: 40px;
  margin-bottom:30%;
}

.fcTxt {
  width: 64%;
  height: 100%;
  padding: 10% 18%;
  margin: 0 auto;
  background-color: #fff;
  text-align: left;
  z-index: 2;
}

.fcTxt h1 {
  font-size:38px;
}

.firstContents p:nth-child(2) {
  animation: fadeIn 12s ease-in fowards;
}

.softP {
  font-family: "Zen Kurenaido", serif;
  font-weight: 100;
  font-style: normal;
  font-size: 26px;
  display: inline-block;
  width: 100%;
  text-align: center;
  margin: 0% auto;
}

.drImage {
  animation: sway 2s ease-in-out infinite alternato;
}

/***firstContentsスマホ表示***/

@media screen and (max-width: 414px) {
  #firstContents {
    position: relative;
    width: 100%;
    height: auto;
    padding-top: 0;
    padding-bottom: 0;
    margin-bottom: 0;
    /* background: linear-gradient(to top, #fff 0%, #fff 50%, #353434 50%, #353434 100%); */
    /* 追加 */
    background: #ffffff;
    transform: translate(0, 0px);
  }

  .dr-radius {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 320px;
    border-radius: 60%/90% 90% 0 0;
    background: linear-gradient(to bottom, white 50%, white 100%);
    z-index: 0;
  }

  .DownRight img {
    display: block;
    position: absolute;
    top: 0px;
    left: 0;
    right: 0;
    margin-right: auto;
    margin-left: auto;
    width: 144px;
    height: 180px;
    z-index: 1;
  }

  .fcTxt {
  width: 90%;
  height: auto;
  padding: 5% 0;
  margin: 0 auto;
  }
  
  .fcTxt h1{
  font-size:28px;
  }
  

  
.softP {
  font-family: "Zen Kurenaido", serif;
  font-weight: 100;
  font-style: normal;
  font-size: 20px;
  display: inline-block;
  width: 100%;
  text-align: center;
  margin: 0% auto;
}
}

/***works***/

#Works {
  position: static;
  width: 100vw;
  height: auto;
  background: repeating-linear-gradient(135deg, #f8d785 0px, #f8d785 8px, #f7dd9b 8px, #f7dd9b 16px);
  overflow: hidden;
}

.cardTypeList {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: stretch;
  flex-wrap: wrap;
  width: 100%;
  margin: 20px auto;
  padding-bottom: 16%;
}

.cardTypeList_item {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 30%;
  min-width: 300px;
  min-height: 500px;
  margin-bottom: 20px;
}

.cardTypeList_item:not(:nth-child(3)) {
  margin-right: 20px;
}

.cardTypeList_link {
  display: block;
  color: #333333;
  padding: 30px;
  text-decoration: none;
  border-radius: 0 32px 0 32px;
  box-shadow: 0 4px 10px 0 rgba(40, 49, 53, 0.2);
  overflow: hidden;
  background: white;
}
.cardTypeList_link:hover {
  opacity: 0.8;
}

.cardTypeList_image {
  display: block;
  width: 100%;
  height: auto;
}

.cardTypeList_title {
  font-family: "Kiwi Maru", serif;
  font-size: 20px;
  line-height: 1.5;
  margin-top: 10px;
  margin-bottom: 10px;
}

.cardTypeList_text {
  font-family: "Kiwi Maru", serif;
  font-size: 12px;
  line-height: 16px;
}

/***Service***/
#Service {
  width: 100vw;
  height: auto;
  background-color: #f2f2f2;
  padding-top: 10%;
  padding-bottom: 10%;
}

.imgCard,
.WorksCategory {
  display: flex;
  justify-content: center;
}

.ServiceImg{
  width: 24%;
}

.ServiceBtn {
  width: 16%;
}


.WorksCategory {
  display: flex;
  justify-content: space-between;
  list-style: none;
  padding: 0;
  margin: 0;
  /* 追加 */
  flex-wrap: wrap;
}

.ServiceBtn {
  text-align: center;
  font-family: "Kiwi Maru", serif;
  padding: 20px;
  background-color: #f8d785;
}

.ServiceBtn:not(:nth-child(5)) {
  margin: 10px 30px;
}

.ServiceBtn:not(:nth-child(1)) {
  margin-left: 0;
}

@media screen and (max-width: 1024px) {
  .WorksCategory {
    width:98%;
  justify-content: space-around;
  }
  .ServiceImg{
  width: 18%;
  margin-right:10px;
  }
  
  .ServiceBtn {
    font-size:8px;
    width:10%;
    display:flex;
    align-items:center;
    justify-content:center;
    font-family: "Kiwi Maru", serif;
    padding: 10px 16px;
    background-color: #f8d785;
  }
  


  .ServiceBtn:not(:nth-child(4)) {
    margin-top: 10px;
    margin-right:-160px;
  }

}

@media screen and (max-width: 414px) {
  
  .WorksCategory {
  justify-content: space-around;
  width:100%;
  margin-left:10px;
  }
  .ServiceImg{
  width: 20%;
  margin-right:10px;
  }
  
  .ServiceBtn {
    font-size:6px;
    width:9%;
    display:flex;
    align-items:center;
    justify-content:center;
    font-family: "kiwi Maru", serif;
    padding: 6px 14px;
    background-color: #f8d785;
  }
  
    .ServiceBtn:not(:nth-child(4)) {
    margin: 10px 0px;
  }
}






/***Profile***/
#profile {
  width: 100%;
  height: auto;
  padding-bottom: 20%;
  padding-bottom: 20%;
  background-color: #ffffff;
}

.Icon {
  display: block;
  width: 200px;
  height: 200px;
  margin: 0 auto;
}

.txtArea {
  width: 80%;
  height: auto;
  margin: auto;
}

/***ContactForm***/

#contactForm {
  overflow: hidden;
  margin: auto;
  width: 100vw;
  height: auto;
  background-color: #f8d785;
  padding-bottom: 10%;
}

form {
  width: 60%;
  margin: 10% auto;
  min-width: 9rem;
  background-color: #f8d785;
}

input,
textarea {
  float: left;
  width: 100%;
  max-width: 100%;
  border: none;
  margin: 0.5rem 0;
  padding: 0.5rem 1rem;
  border-radius: 0.3rem;
  background: #ffffff;
  color: #7f7f7f;
}

input[type="submit"] {
  background: #84ad47;
  color: #fff;
  width: auto;
  float: right;
}

input::placeholder,
textarea::placeholder {
  color: #7f7f7f;
}

input.error,
textarea.error {
  background: #ad4747;
  color: #fff;
}

input.error::placeholder,
textarea.erro::placeholder {
  color: #7f2e2e;
}

textarea {
  height: 10rem;
}

.captcha {
  float: left;
}

.captcha input {
  float: right;
}

.captcha input[name="question"] {
  width: 4rem;
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
  text-align: right;
  padding-right: 0;
}

.captcha [name="captcha"] {
  width: 5rem;
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
  padding-left: 0.5rem;
}

.captcha[name="captcha"]::placeholder {
  text-align: center;
}
